/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 rlpP.pov
 
 Here's a demonstration of how you might make fonts with the rlp macros.
 
*/
  ////
 //   example   //
//_____________//   
#global_settings{charset utf8 assumed_gamma 1.0}
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
// Define the string to be typeset
CL_rlp_make_text_string_set(3) // Defines CL_default_space,CL_math_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
// Bit of a kludge, but it shows super- and sub-scripts
//
#declare fraction_object     =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                 "#f'(x)","#f(x)",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions    =  CL_dimensions_out; 
//
#declare bracket_object      = object{CL_rlp_make_elastic_bracket_pair(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                       fraction_object,CL_medium_space,2,2,inner_dimensions,CL_dimensions_out)} 
#declare bracket_dimensions  =  CL_dimensions_out; 
//
#declare main_object         = object{CL_rlp_make_supersubscript(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                 bracket_object,"","#0","#-n^2",CL_small_space,
                                                                 CL_letter_adjust,CL_letter_adjust,0,bracket_dimensions,CL_dimensions_out) }  
//
object{main_object translate <-2-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
// e^{-x^2}, a classic double superscript.
//
#declare exp_object          = object{CL_rlp_make_text_string("e",CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                              CL_dimensions_out)}  
#declare exp_dimensions      =  CL_dimensions_out; 
//
#declare extra_object        = object{CL_rlp_make_supersubscript(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                 exp_object,"","","#-x^2",-CL_small_space,
                                                                 CL_letter_adjust,CL_letter_adjust,
                                                                 1.5*CL_small_space,exp_dimensions,CL_dimensions_out) }  
//                                                              
object{extra_object translate <5-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//     
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<0,0,-60> look_at <0,0,0> angle 15}

