//
//This file is licensed under the terms of the CC-LGPL
// 
// CL_rlp_transparent_test.pov
// 
//Here's a demonstration of how you might use the user letter adjustment array.
//  
  ////
 //   example   //
//_____________//     
#global_settings{charset utf8 assumed_gamma 1.0} // MUST have this to get the right characters.  
//
#include "colors.inc" 
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
// 
// The excellent rounded linear prism system from Sam Benge claims not to deal with transparency or merge.
// It appears that transparency is reasonably well dealt with (x) though I have seen some artefacts.
// At 1600x1200, there appears to be something unexplained below the lower left bobble.
// If overlapping objects are used (Yen, |$) using a merge outside the rlp routine doesn't remove internal 
// surfaces so merge does appear to be broken inside rlp.
// Some convoluted objects, like the @ sign, cannot be defined using a single outer spline curving back 
// round on itself in rlp since this cuts off some of the internal object from appearing. You can see the 
// join at 1024x768 or above on the right upright of the @.
// 
CL_rlp_make_text_string_set(1)
//
// Uncomment one of the following three lines 
#declare CL_text_string = "#x"     // Mathematical x
//#declare CL_text_string = "|$"   // Yen symbol
//#declare CL_text_string = "@"    // at symbol
// Hollow in the foreground
#declare text_string = object{CL_rlp_make_text_string(CL_text_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                                                      CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                                     pigment{rgbt <0,0,1,0.3>} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,0,0>} 
// Solid in the background
#declare text_string = object{CL_rlp_make_text_string(CL_text_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                                                      CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                                    pigment{rgb 1} finish{ambient 0 specular 1}}       
object{text_string translate <-CL_dimensions_out[0]/2,0,3>}
//
  ////
 //  end example  //
//_______________//
//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }
//
camera{orthographic location<1,1.5,-9> look_at <0.2,0.8,0> angle 15}

